Subject: bug#4530: Crash in ns_index_color (nsterm.m:1305)

From: Adrian Robert <[email-masked]>
Date: Tue, 22 Sep 2009 18:54:43 -0400

I'm trying to reproduce this in current trunk with the attached  
wombat color theme file and the version of color-theme.el in the  
aquamacs tree.  I load color-theme into a buffer, M-x eval-buffer,  
then load the theme itself, eval it, and finally M-x color-theme- 
wombat.  Then I try to do some file loading, editing, gnus, images,  
etc., but can't reproduce the crash (10.4).  If anyone has found some  
specific steps by now, I can try them.

On Jun 18, 2009, at 11:04 AM, Ben Lowery wrote:

> Yup, I am using color-theme. I've attached the theme I'm using.
>
> On Thu, Jun 18, 2009 at 10:58 AM, David  
> Reitter<[email-masked]> wrote:
>> Forwarding a crash report.
>> nsterm.m:1305, in the given revision, is the line marked:
>>
>>  {
>>    int i;
>>    for (i = 1; i < color_table->avail; i++)
>>      {
>> *****        if (color_table->colors[i] && [color_table->colors[i]  
>> isEqual:
>> color])
>>          {
>>            [color_table->colors[i] retain];
>>            return i;
>>          }
>>      }
>>  }
>>
>> Btw, why are we managing this table ourselves rather than using an
>> appropriate NS class?  It seems like we're defining our own  
>> ns_color_table
>> structure anyways...
>>
>> Ben, I wonder if you're using color themes or something else that  
>> defines a
>> lot of different colors.
>>
>> - D
>>
>>
>> Begin forwarded message:
>>
>>> From: Ben Lowery <[email-masked]>
>>> Date: June 18, 2009 10:43:00 AM EDT
>>> To: Development of Aquamacs Emacs <[email-masked]>
>>> Subject: [Aquamacs-devel] Crasher in ns_index_color (nsterm.m:1305)
>>>
>>> Attached is a crash log for Aquamacs, on
>>> 3fa42d1a06357f8f65dff161524374f3feaaa3ac
>>>
>>> Happened as I was C-x C-f ing to open a file. Happens sporadically,
>>> and I don't have a good repro case.
>>>
>>> -b
>>
>>> _______________________
>>
>>
>> <color-theme-wombat.el>